%define version  4.34
%define release 1

Name:           smeserver-softethervpn-server
Version:        %{version}
Release: 	%{release}%{dist}
Summary:        An Open-Source Free Cross-platform Multi-protocol VPN Program

Group:          Applications/Internet
License:        GPLv2
URL:            http://www.softether.org/
Source0:        smeserver-softethervpn-server-%{version}.tar.gz

BuildRequires:  e-smith-devtools
Requires:	smeserver-bridge-interface
Requires:	softethervpn
Conflicts: 	smeserver-openvpn-bridge
AutoReqProv:    no


%description
SoftEther VPN is one of the world's most powerful and easy-to-use multi-protocol VPN software. It runs on Windows, Linux, Mac, FreeBSD, and Solaris.

%prep

%setup -q -n %{name}-%{version}

%build
# Build symlinks
perl createlinks

%install
rm -rf $RPM_BUILD_ROOT
(cd root   ; find . -depth -print | cpio -dump $RPM_BUILD_ROOT)
/sbin/e-smith/genfilelist $RPM_BUILD_ROOT \
         > %{name}-%{version}-%{release}-filelist

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}-%{version}-%{release}-filelist
%defattr(-,root,root)


%post


%changelog
* Fri Mar 27 2020 Jean-Philipe Pialasse <tests@pialasse.com> 4.34.9744-1.sme
- initial release SME 9

